xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (c) Andrea Rossato 2007
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.ShowWName

Contents

- Usage

Description

This is a layout modifier that will show the workspace name

Synopsis

- showWName :: l a -> ModifiedLayout ShowWName l a
- showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a
- def :: Default a => a
- defaultSWNConfig :: SWNConfig
- data SWNConfig = SWNC {
  - swn_font :: String
  - swn_bgcolor :: String
  - swn_color :: String
  - swn_fade :: Rational
  }
- data ShowWName a

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.ShowWName
    myLayout = layoutHook def
    main = xmonad def { layoutHook = showWName myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

showWName :: l a -> ModifiedLayout ShowWName l a Source

A layout modifier to show the workspace name when switching

showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a Source

A layout modifier to show the workspace name when switching. It is possible to provide a custom configuration.

def :: Default a => a

defaultSWNConfig :: SWNConfig Source

Deprecated: Use def (from Data.Default, and re-exported from XMonad.Layout.ShowWName) instead.

data SWNConfig Source

Constructors

SWNC |

Fields

swn_font :: String

  Font name

swn_bgcolor :: String

  Background color

swn_color :: String

  String color

swn_fade :: Rational

  Time in seconds of the name visibility

Instances

Read SWNConfig Source |
Show SWNConfig Source |
Default SWNConfig Source |

data ShowWName a Source

Instances

LayoutModifier ShowWName a Source |
Read (ShowWName a) Source |
Show (ShowWName a) Source |